Identity VerificationNigeriaBVNBank Verification Number (BVN) POST
POST
/api/v1/verification/api/bvn/

Verify Nigerian Bank Verification Number

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/verification/api/bvn/" \  -H "Content-Type: application/json" \  -d '{    "number": "Enter 11-digit BVN"  }'
{  "data": {    "bvn": "23418321365",    "nin": "",    "email": "microdans49xlt@yahoo.com",    "title": "Mr",    "gender": "Male",    "lastName": "EKOM",    "firstName": "RONALD",    "middleName": "DONATIUS",    "nameOnCard": "EKOM RONALD DONATIUS",    "base64Image": "base64 image content",    "dateOfBirth": "11-May-2004",    "lgaOfOrigin": "Inyem Ekpo",    "nationality": "Nigeria",    "watchListed": "False",    "phoneNumber1": 7058690798,    "phoneNumber2": "",    "maritalStatus": "Single",    "stateOfOrigin": "Akwa Ibom State",    "enrollmentBank": "070",    "levelOfAccount": "Level 1 - Low Level Accounts",    "lgaOfResidence": "Inyem Ekpo",    "enrollmentBranch": "UNIPORT",    "registrationDate": "01-Apr-2015",    "stateOfResidence": "Akwa Ibom State",    "residentialAddress": "C/O OTORO NEW P.A, IYEMT OBIOMA, EYIM EKPO"  },  "status": true,  "response_code": "00",  "message": "string",  "billing_info": {    "was_charged": true,    "amount": "string",    "currency": "string"  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel